Create a card under a specified card program and affiliated with a Funding Source. Returns an ID with which to retrieve card details.
Create Card
/api/cards Request
Body application/json
cardProgramIdstringrequiredID of card program to use when creating a card
fundingSourceIdstringrequiredID of the Funding Source the card will authorize against
languagestringCarrier language for a physical card, in ISO 639-1 Alpha-2 format. Required if card program supports physical cards. The carrier is the physical packaging to which the card is attached for delivery.
shippingMethodstringAllowed values:standard-courierpremium-courierShipping method for a physical card. Required if card program supports physical cards.
shippingAddressobjectShipping address for a physical card. Required if card program supports physical cards. Only one of the optional fields companyName or addressLine2 can be provided. Each field must be less than 35 characters.
companyNamestring(Optional) Company name.
countrystringThe ISO 3166-2 Country code of the country the address is in.
statestring(Optional) State, province, prefecture, canton, region. Use local abbreviations such as VIC (Victoria) or TX (Texas).
townstringCity, town, village, ward, municipality
postalCodestringPostal code
addressLine1stringFirst line of an address. Can represent street number and name or a PO Box. Max 35 characters.
addressLine2string(Optional) Second line of an address. Max 35 characters.
Response
Successful operation.
Body application/json
cardIdstringThe created card ID
Request fields are invalid, or the request could not be processed for the reason stated in the message.
SHIPPING_ADDRESS_REQUIRED Card program is configured for physical cards but no shipping address was provided.
SHIPPING_METHOD_REQUIRED Card program is configured for physical cards but no shipping method was provided.
LANGUAGE_REQUIRED Card program is configured for physical cards but no carrier language was provided.
PHYSICAL_CARD_CONFIGURATION_INVALID The combination of card program, region, shipping method, and carrier language is invalid.
SHIPPING_ADDRESS_LINE_TOO_LONG A formatted shipping address line exceeds the maximum line length allowed for the card carrier.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
User is not allowed to perform the action with the reason stated in the message.
FORBIDDEN Insufficient permissions to perform the action.
LIVENESS_MISMATCH Card program or cardholder have the wrong liveness for the request.
CARD_PROGRAM_INVALID Card program does not belong to a partner this cardholder is associated with.
FUNDING_CHANNEL_INVALID Funding channel cannot be used with this card program.
BETA_ACCESS_DENIED Card program is in restricted access mode and cardholder doesn't have access granted.
KYC_REQUIRED KYC profile is missing, does not have PASSED status, or does not match card program region. Use the spending prerequisites endpoint for more details.
CONTACT_EMAIL_REQUIRED Cardholder does not have a contact email.
CONTACT_PHONE_REQUIRED Cardholder does not have a contact phone.
EXPECTED_SPEND_PREREQ_REQUIRED Cardholder has not completed the required expected spend prerequisite.
CARD_REGION_NOT_SUPPORTED The cardholder's card region is not supported by the card program.
MAX_CARDS_EXCEEDED Cardholder has reached the maximum number of cards allowed.
MAX_ACTIVE_CARDS_EXCEEDED Cardholder has reached the maximum number of active cards allowed.
SHIPPING_COUNTRY_UNSUPPORTED The shipping country is not supported for physical card creation.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring